;;  Roteer tekst naar een aangewezen punt
(defun c:RTP() (c:RotateText2Point))

(defun c:RotateText2Point (/ ss ang obj acadObj doc inspnt scndpnt )
  (vl-load-com)
  (setq acadObj (vlax-get-acad-object))
  (setq doc (vla-get-ActiveDocument acadObj))

  (prompt "\nSelecteer de (M)Text:")
  (if
    (or
	  (setq ss (ssget "_+.:E:S" '((0 . "Text,Mtext"))))
      (prompt "\n**  Geen Text geselecteerd.  **")
	)
    (progn
      (setq obj (vlax-ename->vla-object (ssname ss 0)))
	  (princ (vla-get-ObjectName obj))
	  (if (equal (vla-get-ObjectName obj) "AcDbText")
	    (progn
	      (setq inspnt (vla-get-TextAlignmentPoint obj))
          (if (equal (vla-get-Alignment obj) 0)
	        (setq inspnt (vla-get-InsertionPoint obj)))
        )
		(setq inspnt (vla-get-InsertionPoint obj))
	  )
	  (setq scndpnt (vla-GetPoint (vla-get-Utility doc) inspnt "\nWijs een punt aan."))
	  (setq ang (angle (vlax-safearray->list (vlax-variant-value inspnt)) (vlax-safearray->list (vlax-variant-value scndpnt))))
      (vla-put-rotation obj ang)
    )
  )
  (princ)
)